package ninja.thefirearchmage.games.fourtykcalculator;

import javafx.application.Application;
import javafx.geometry.Insets;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.TextArea;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

import java.util.Arrays;

public class FourtyKCalculatorApp extends Application {
    @Override
    public void start(Stage stage) throws Exception {
        stage.setTitle("Eradicator Damage Calculator");

        TextArea output = new TextArea();
        output.setEditable(false);

        Button calculateBtn = new Button("Calculate");
        calculateBtn.setOnAction(e -> {
            List<Target> targets = Arrays.asList(
                    new Target("Rhino", 9, 3, null, 10),
                    new Target("Lehman Russ", 11, 2, null, 13),
                    new Target("Redemptor Dread", 10, 3, 5, 12),
                    new Target("Knight Paladin", 13, 2, 5, 22),
                    new Target("Plagueburst Crawler", 12, 3, 4, 12)
            );

            StringBuilder sb = new StringBuilder();
            for (Target target : targets) {
                sb.append(calculate(target, 3, true, true, true, "melta"));
                sb.append("\n");
            }
            output.setText(sb.toString());
        });

        VBox layout = new VBox(10);
        layout.setPadding(new Insets(10));
        layout.getChildren().addAll(calculateBtn, output);

        Scene scene = new Scene(layout, 500, 400);
        stage.setScene(scene);
        stage.show();
    }
}
